Node Express Upgrade With Modules Deprecated

The “express” web application framework for node updates termly. Thus some of the apis may not be usable after a while. Here below are some of the apis deprecated between version2.5.2 and version4.8.2.

1
2
3
4
5
6
7
8
9
10
11
12
13
`express.createServer()` - it has been deprecated for a long time. Use `express()`

deprecate `connect.createServer()` -- use `connect()` instead

deprecate `.createServer()` & remove old stale examples

Added `express.createServer()` for BC

Fixed for middleware stacked via `createServer()`

previously the `foo` middleware passed to `createServer(foo)`

express.bodyParser() will have to be installed separately.